curl -X GET "https://t.ato2.nodesms.com/v1/video/generations/{task_id}" \
-H "Authorization: Bearer $API_KEY"
import requests
task_id = "your_task_id"
response = requests.get(
f"https://t.ato2.nodesms.com/v1/video/generations/{task_id}",
headers={"Authorization": "Bearer sk-xxxxx"},
)
print(response.json())
{
"task_id": "string",
"status": "queued",
"url": "string",
"format": "string",
"metadata": {
"duration": 0,
"fps": 0,
"width": 0,
"height": 0,
"seed": 0
},
"error": {
"code": 0,
"message": "string"
}
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
Get Video Generation Task Status
Query the status and result of a video generation task.
GET
/
v1
/
video
/
generations
/
{task_id}
curl -X GET "https://t.ato2.nodesms.com/v1/video/generations/{task_id}" \
-H "Authorization: Bearer $API_KEY"
import requests
task_id = "your_task_id"
response = requests.get(
f"https://t.ato2.nodesms.com/v1/video/generations/{task_id}",
headers={"Authorization": "Bearer sk-xxxxx"},
)
print(response.json())
{
"task_id": "string",
"status": "queued",
"url": "string",
"format": "string",
"metadata": {
"duration": 0,
"fps": 0,
"width": 0,
"height": 0,
"seed": 0
},
"error": {
"code": 0,
"message": "string"
}
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
Task statuses:
queued: Queuedin_progress: Generatingcompleted: Completedfailed: Failed
Headers
string
required
Bearer token authentication. Format:
Authorization: Bearer sk-xxxxxxPath Parameters
string
required
Task ID.
Response
200 Successfully retrieved task status
Format:application/json
string
Task ID.
string
Task status. Optional values:
queued, in_progress, completed, failed.string
Video resource URL (on success).
string
Video format.
object
404 Task does not exist
Format:application/json
object
curl -X GET "https://t.ato2.nodesms.com/v1/video/generations/{task_id}" \
-H "Authorization: Bearer $API_KEY"
import requests
task_id = "your_task_id"
response = requests.get(
f"https://t.ato2.nodesms.com/v1/video/generations/{task_id}",
headers={"Authorization": "Bearer sk-xxxxx"},
)
print(response.json())
{
"task_id": "string",
"status": "queued",
"url": "string",
"format": "string",
"metadata": {
"duration": 0,
"fps": 0,
"width": 0,
"height": 0,
"seed": 0
},
"error": {
"code": 0,
"message": "string"
}
}
{
"error": {
"message": "string",
"type": "string",
"param": null,
"code": null
}
}
Last modified on October 28, 2026
Was this page helpful?